RPA Express 2.1.0 is released!

rpa-express
release
#1

Hi All!

RPA Express 2.1.0 has been released.

WHAT’S NEW

  • Secrets Vault
    Secrets vault for storing sensitive data is now available in WorkFusion Studio by default. Recordings with Secret variables can now be published from Control Tower and executed there.

  • New Inspector UI
    Inspector tool has a new user-friendly UI, an option to export the UI tree to an xml file and performance improvements.

  • Option to change credentials and number of bots
    You can now change admin credentials, server Control Tower hostname and the number of bots installed on the server without reinstalling RPA Express.

  • Performance improvements
    – The speed of Switch to window action has been increased significantly. Now, it takes an average of 2 seconds to switch to a new window.
    Execution of actions inside loops and conditions in recordings has been sped up.

  • Bug fixes
    Major bugs reported for the previous versions have been fixed, including:
    – Issues with sending special characters and keystrokes combinations to remote desktops and apps
    Enter Keystrokes action hangs or crashes Studio after pressing Change
    OCR plugin not working in Studio
    XPaths not working after exceptions in iFrames

For the full list of new features and bug fixes, refer to the Release notes.

Videos:
Secrets Vault overview
RPA Express 2.1 overview

Please leave your comments and feedback for the new release in the thread below.

RPA Express Team

Win+r does not work in RPA Express 2.0 on a remote server
If the error execute part of the error handling is not executing
Key Combination takes huge time
Keystrokes not working in RDP session
Workfusion 2.0.1 - Removes spaces in string on RDC
Send Keys not working in "Citrix"
Debug assertion failed error in WorkFusion Studio
Alt-F4 on Enter Keystrokes-Key Combination Crashes WF Studio
Keystrokes {SPACE} issues in 2.0.2
Beta feature: Secure Storage in WorkFusion Studio
OCR plugin not working in RPA Express 2.0 WF Studio
TAB key is "filtered" in Citrix Receiver
Studio is slow in latest versions
Unable to find elemens after referencing iFrame
Express 1.1.8 also freezes
#4

where is the new release download link please ?

#5

@o_islam_elba1a you can download the installer from https://www.workfusion.com/rpa-express/download/

#6

When I download the Installer, This screen appearsRPA

#7

Are you sure you are running the correct installer?

The current build is 2.1.0.781

You must have launched the installer for the previous version.

#8

No, I have downloaded the latest Installer from the web site a “https://www.workfusion.com/rpa-express/download/” Then open the Installer and this window appears

#9

@o_islam_elba1a I just tested it and it is the correct version.

Could you download and run it again, please?

You can see the version of the installer by right-clicking on it - Properties - Details.

If the result is the same, please zip the installer file and share here, we’ll have a look.

#10

I downloaded again and it is the same ,I can’t upload the zip file because the size exceed the allowable limit “10 MB”

#11

@o_islam_elba1a could you check the version of the installer file: right-click on it - Properties - Details?

#12

#13

@o_islam_elba1a did you run the installer file (18MB) that is downloaded automatically from the download page?

#14

Yes, I run the one downloaded automatically

#15

I just rechecked again - the downloaded file is correct.

The file you are running is for the previous version, and it is not available for download any more.

Delete all RPAExpressInstaller files you ever downloaded previously, download the new one and run it. It should update to version 2.1.0.

#16

@o_islam_elba1a did you manage to update?

#18

Hello!
I am not able to run MCB project in Stupid from new RPA Express 2.1 while old Studio works fine.

12:05:03 [ERROR] org.webharvest.runtime.scripting.ScriptEngineConfiguration.builder()Lorg/webharvest/runtime/scripting/ScriptEngineConfiguration$Builder; java.lang.NoSuchMethodError: org.webharvest.runtime.scripting.ScriptEngineConfiguration.builder()Lorg/webharvest/runtime/scripting/ScriptEngineConfiguration$Builder; at com.freedomoss.crowdcontrol.webharvest.executor.DefaultScriptEngineConfiguration.(DefaultScriptEngineConfiguration.java:13) at com.workfusion.studio.webharvest.ScraperBuilder.build(ScraperBuilder.java:44) at com.workfusion.studio.launch.WebHarvestProcessFactory.newProcess(WebHarvestProcessFactory.java:35) at com.workfusion.studio.launch.WebHarvestProcessFactory.newProcess(WebHarvestProcessFactory.java:48) at com.workfusion.studio.launch.WebHarvestMainLauncher.launch(WebHarvestMainLauncher.java:91) at com.workfusion.studio.launch.WebHarvestMainLauncher.main(WebHarvestMainLauncher.java:180)

Also after upgrade I had problems with creating new MCBs. It did not work after upgrade also. I had to delete workspace metadata and reimport projects to make creating new MCBs work again.

#21

We have released a patch build 2.1.1.
The build contains the fix to the bug with custom actions execution on Control Tower

Read the full release notes here: https://kb.workfusion.com/display/RPAe/RPA+Express+2.1.1

#22

Hi, after removing old RPAx and installing new one 2.1.1, I have faced with issue with within Studio:

[ERROR] Failed to read candidate component class: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is org.springframework.core.NestedIOException: ASM ClassReader failed to parse class file - probably due to a new Java class file version that isn’t supported yet: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is java.lang.IllegalArgumentException
org.springframework.beans.factory.BeanDefinitionStoreException: Failed to read candidate component class: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is org.springframework.core.NestedIOException: ASM ClassReader failed to parse class file - probably due to a new Java class file version that isn’t supported yet: URL [jar:file:/C:/Users/User_Name/.m2/repository/com/workfusion/rpa-api/8.4.0/rpa-api-8.4.0.jar!/com/freedomoss/crowdcontrol/webharvest/util/LocatorResolver.class]; nested exception is java.lang.IllegalArgumentException
at org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider.findCandidateComponents(ClassPathScanningCandidateComponentProvider.java:290)

Within “.m2” directory I have files and directoris named after version 8.4, but no file/directory named after 9.x.
Is it a known issue?

I cannot run any Bot Task in Studio after it. Even if try to install older version of RPAx it returns now same error in Studio.

Any help will be appreciated.

#23

are using bot task bundles? in this case you should have compatible archetypes - 9.1.x for RPA Express 2.1.0 and higher.

#24

No, just bot task

#25

Also, where to find those compatible archetypes?